<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}" xmlns="http://www.w3.org/1999/html">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Pendaftar</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
<!--                    <ul class="nav navbar-right panel_toolbox">-->
<!--                        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>-->
<!--                        </li>-->
<!--                        <li class="dropdown">-->
<!--                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>-->
<!--                            <ul class="dropdown-menu" role="menu">-->
<!--                                <li><a th:href="@{/telemarketing/listKaryawan}">Semua</a></li>-->
<!--                                <li th:each="p : ${listFu}"><a th:href="@{/telemarketing/listKaryawan?search=}+${p.nama}" th:text="${p.nama}">Semua</a></li>-->
<!--                            </ul>-->
<!--                        </li>-->
<!--                    </ul>-->
                    <h1>Telemarketing S1 Karyawan</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <div class="row">
                                                <div class="col-md-12 col-xs-12 pull-right">
                                                    <form method="get">
                                                        <div th:if="${UserEdu == null}" class="col-md-3">
                                                            <div class="form-line">
                                                                <label>User Followup</label>
                                                                <select name="user" class="form-control">
                                                                    <option value=""></option>
                                                                    <option th:if="${user == null}" th:each="ta : ${listFu}" th:value="${ta.id}" th:text="${ta.nama}">2023/2024</option>
                                                                    <option th:if="${user != null}" th:each="ta : ${listFu}" th:value="${ta.id}" th:text="${ta.nama}" th:selected="${ta.id == user}">2023/2024</option>
                                                                </select>
                                                            </div>
                                                        </div>

                                                        <div class="col-md-3">
                                                            <div class="form-line">
                                                                <label>Nama / Nomor Registrasi</label>
                                                                <input type="text" name="search"
                                                                       class="form-control" th:value="${search}"
                                                                       placeholder="Cari Nama/Nomor Registrasi..." autofocus>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 pull-left">
                                                            <div class="form-line">
                                                                <br>
                                                                <button class="btn btn-info" style="color: white;margin-top: 5px;" type="submit">Cari</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                            <br>
                                            <div class="row">
                                                <div class="col-md-12 col-xs-12">
                                                    <div class="col-md-6 pull-left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <form th:action="@{/rekapPerkelas/xlsx}" method="get">
                                                                        <input type="hidden" name="kelas" value="Karyawan">
                                                                        <input type="submit" class="btn btn-sm btn-primary" value="Download Data Pendaftar XLSX">
                                                                    </form>
                                                                </td>
                                                                <td>
                                                                    <form th:action="@{/detail/xlsx}" method="get">
                                                                        <input style="margin-right: 100px;" type="submit" class="btn btn-sm btn-success" value="Download Data Detail XLSX">
                                                                    </form>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                            </div>
                                            <hr>
                                            <div class="col-md-12 col-xs-12">
                                                <div class="row">
                                                <div class="table-responsive">
                                                    <table id="dtHorizontalExample" class="table table-striped table-bordered table-sm" cellspacing="0"
                                                           width="100%">
                                                        <thead>
                                                        <tr>
                                                            <th>No</th>
                                                            <th>No Registrasi</th>
                                                            <th>Nama</th>
                                                            <th>No Whatsapp</th>
                                                            <th>Program Studi</th>
                                                            <th>Asal Sekolah</th>
                                                            <th>Lulusan</th>
                                                            <th>Sumber</th>
                                                            <th>Status</th>
                                                            <th>Note EC</th>
                                                            <th>Note PIC</th>
                                                            <th></th>
                                                            <th>User FU</th>
                                                            <th>Tgl Insert</th>
                                                            <th></th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="p,row : ${daftarPendaftar}">
                                                            <td th:text="${(row.index + 1) + (daftarPendaftar.number * daftarPendaftar.size)}">#</td>

                                                            <td th:text="${p.nomorRegistrasi}"></td>
                                                            <td th:text="${p.leads.nama}"></td>
                                                            <td th:text="${p.leads.noHp}"></td>
                                                            <td th:text="${p.programStudi.nama}"></td>
                                                            <td th:text="${p.namaAsalSekolah}"></td>
                                                            <td sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE')">
                                                                <form th:action="@{/update/lulusan(id=${p.leads.subscribe})}" th:each="sc : ${subscribe}" th:if="${sc.id == p.leads.subscribe.id}" th:object="${sc}"  method="post">
                                                                    <select name="lulusan"  class="form-control" th:id="${sc.id}" onchange="simpanLulusan(this)" id="lulusan">
                                                                        <option value=""></option>
                                                                        <option th:selected="${'Lulusan SMA / SMK' == sc.lulusan}" value="Lulusan SMA / SMK">Lulusan SMA / SMK</option>
                                                                        <option th:selected="${'Lulusan D3 / D4' == sc.lulusan}" value="Lulusan D3 / D4">Lulusan D3 / D4</option>
                                                                    </select>
                                                                </form>
                                                            </td>
                                                            <td th:text="${p.leads.subscribe.lulusan}" sec:authorize ="hasAnyAuthority('VIEW_EDUCONSULTANS')"></td>
                                                            <td th:if="${p.leads.subscribe == null}"> ~ </td>
                                                            <td th:if="${p.leads.subscribe != null}" th:text="${p.leads.subscribe.sumber}">Irma</td>
                                                            <td th:text="${p.status}"></td>
                                                            <td th:text="${p.note}"></td>
                                                            <td th:text="${p.notePic}"></td>
                                                            <td><button th:if="${p.status != 'None'}" type="button" class="btn btn-xs btn-primary" data-toggle="modal" th:attr="data-target=${'#modalPendaftar'+p.id}"><i class="fa fa-edit"></i></button>
                                                                <button th:if="${p.status == 'None'}" type="button" class="btn btn-xs btn-warning" data-toggle="modal" th:attr="data-target=${'#modalPendaftar'+p.id}"><i class="fa fa-edit"></i></button>
                                                            </td>
                                                            <td th:if="${p.followup == null}" th:text="${'~ Belum Ada ~'}">Irma</td>
                                                            <td th:if="${p.followup != null}" th:text="${p.followup.nama}">Irma</td>
                                                            <td th:text="${p.leads.createDate}"></td>
                                                            <td sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE')">
                                                                <div th:each="tg : ${tagihan}"  sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE')">
                                                                    <a th:href="@{/tagihan/list(nama=${p.leads.nama},jenisBiaya='')}"
                                                                       th:if="${tg.pendaftar == p.id && tg.status == 'Ada'}"
                                                                       type="button"  class="btn btn-success btn-xs">
                                                                        <i class="fa fa-money"></i>&nbsp; Tagihan
                                                                    </a>
                                                                    <form th:if="${tg.pendaftar == p.id && tg.status == 'Kosong'}" method="post"
                                                                          th:action="@{/kirimNotifikasi/tagihan(id=${p.id})}">
                                                                        <button type="submit"  class="btn btn-danger btn-xs ">
                                                                            <i class="fa fa-send"></i>&nbsp; Kirim Notifikasi
                                                                        </button>
                                                                    </form>
                                                                </div>
                                                                <a th:href="@{/pendaftar/update(id= ${p.id})}"
                                                                   type="button" class="btn btn-primary btn-xs">
                                                                    <i class="fa fa-edit"> </i>&nbsp; Edit Pendaftar
                                                                </a>

                                                                <a th:each="jt : ${jadwalTest}" th:href="@{/hasilTest/form(id=${jt.id})}" type="button"
                                                                   th:if="${jt.pendaftar.id} == ${p.id}"
                                                                   class="btn btn-warning btn-xs" sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE')">
                                                                    <i class="fa fa-language"></i>&nbsp; Jadwal Test
                                                                </a>
                                                                <a th:each="dt : ${detail}" th:href="@{/detailPendaftar/showDetail(id=${dt.pendaftar})}" type="button"
                                                                   th:if="${dt.pendaftar == p.id && dt.status == 'Ada' && p.leads.jenjang.S1 == p.leads.jenjang}"
                                                                   class="btn btn-info btn-xs">
                                                                    <i class="fa fa-database"></i>&nbsp; Data Detail
                                                                </a>
                                                                <a th:each="up : ${berkas}" th:href="@{/uploadBerkas/listAdmin(pendaftar=${up.pendaftar.id})}" type="button"
                                                                   th:if="${up.pendaftar.id == p.id}"
                                                                   class="btn btn-warning btn-xs">
                                                                    <i class="fa fa-file-image-o"></i>&ndash; Berkas
                                                                </a>
                                                                <button th:each="ht : ${hasilTest}" th:if="${ht != null} and ${ht.jadwalTest.pendaftar.id} == ${p.id}"
                                                                        type="button" class="btn btn-xs btn-default" data-toggle="modal" th:attr="data-target=${'#editModal'+p.id}">
                                                                    <i class="fa fa-money"></i>&nbsp; Tagihan DU
                                                                </button>

                                                                <div class="modal fade" th:attr="id=${'editModal' + p.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h2  class="modal-title" id="exampleModalLabel">Tagihan Daftar Ulang</h2>
                                                                            </div>
                                                                            <form th:action="@{/pendaftar/updateTagihan(id=${p.id})}" th:object="${p}" method="post">
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-lg-6">
                                                                                            <h3 th:text="${p.leads.nama}"></h3>
                                                                                        </div>
                                                                                        <div class="col-lg-6">
                                                                                            <h3 th:text="${p.nomorRegistrasi}"></h3>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="row">
                                                                                        <input type="hidden" th:value="${p.id}">
                                                                                        <div class="col-lg-12">
                                                                                            <label>Nominal Tagihan :</label>
                                                                                            <input type="text" th:value="${p.uangPangkal}" class="form-control" name="uangPangkal" placeholder="Nominal Tagihan">
                                                                                        </div>
                                                                                        <div class="col-lg-12">
                                                                                            <label>Keterangan :</label>
                                                                                            <select class="form-control"  name="keteranganTagihan">
                                                                                                <option th:value="${p.keteranganTagihan}" th:text="${p.keteranganTagihan}"></option>
                                                                                                <option value="Beasiswa Tazkia Cendikia">Tagihan Beasiswa Tazkia Cendikia</option>
                                                                                                <option value="Beasiswa Tazkia Gemilang">Tagihan Beasiswa Tazkia Gemilang</option>
                                                                                                <option value="Beasiswa Tazkia Unggulan">Tagihan Beasiswa Tazkia Unggulan </option>
                                                                                                <option value="Beasiswa Islam Terpadu">Tagihan Beasiswa Islam Terpadu</option>
                                                                                                <option value="Beasiswa Rapor">Tagihan Beasiswa Rapor</option>
                                                                                                <option value="Beasiswa Baitul Mal Aceh">Tagihan Beasiswa Baitul Mal Aceh</option>
                                                                                                <option value="Beasiswa Utusan Daerah Siak">Tagihan Beasiswa Utusan Daerah Siak</option>
                                                                                                <option value="Beasiswa Utusan Daerah Kaltim">Tagihan Beasiswa Utusan Daerah Kaltim</option>
                                                                                                <option value="Beasiswa Baznas Dumai">Tagihan Beasiswa Baznas Dumai</option>
                                                                                                <option value="Beasiswa Bazma Dumai">Tagihan Beasiswa Bazma Dumai</option>
                                                                                                <option value="Beasiswa Banyuasin">Tagihan Beasiswa Banyuasin</option>

                                                                                            </select>
                                                                                        </div>
                                                                                        <div class="col-lg-12">
                                                                                            <label>Tagihan Expired Tagihan :</label>
                                                                                            <input type="date" th:value="${p.expiredDate}" class="form-control" name="expiredDate" placeholder="Nominal Tagihan">
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                    <button type="submit" class="btn btn-primary">Save changes</button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>


                                                            </td>
                                                            <div class="modal fade" th:attr="id=${'modalPendaftar' + p.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog modal-dialog-centered" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h1  class="modal-title" id="exampleModalLabel">Detail Telemarketing</h1>
                                                                        </div>
                                                                        <form th:action="@{/telemarketing/update}" method="post">
                                                                            <input type="hidden" name="kelas" th:value="${p.konsentrasi}">
                                                                            <input type="hidden" name="page" th:value="${param.page}">
                                                                            <div class="modal-body">
                                                                                <div class="row">
                                                                                    <div class="col-lg-6">
                                                                                        <h3 th:text="${p.leads.nama}"></h3>
                                                                                    </div>
                                                                                    <div class="col-lg-6">
                                                                                        <h3 th:text="${p.nomorRegistrasi}"></h3>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row">
                                                                                    <div class="col-lg-6" >
                                                                                        <label>User FU:</label>
                                                                                        <select class="form-control" name="followup" id="followup" sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE')" >
                                                                                            <option value=""></option>
                                                                                            <option th:each="fu : ${listFu}" th:selected="${p.followup == fu }"
                                                                                                    th:value="${fu.id}" th:text="${fu.nama}">Tagihan Beasiswa Santri</option>
                                                                                        </select>
                                                                                        <input type="hidden" name="followup" th:value="${p.followup.id}" sec:authorize ="hasAnyAuthority('VIEW_EDUCONSULTANS')">
                                                                                        <label sec:authorize ="hasAnyAuthority('VIEW_EDUCONSULTANS')" th:text="${p.followup.nama}"></label>                                                                                    </div>
                                                                                    <div class="col-lg-6">
                                                                                        <label>Status :</label>
                                                                                        <select class="form-control" name="statusKet" id="status">
                                                                                            <option value="">~~~~</option>
                                                                                            <option th:selected="${'None' == p.status}" value="None">Belum dihubungi</option>
                                                                                            <option th:selected="${'Contacted - Siap Bayar Formulir' == p.status}" value="Contacted - Siap Bayar Formulir">Contacted - Siap Bayar Formulir</option>
                                                                                            <option th:selected="${'Contacted - Menunggu Hasil Seleksi' == p.status}" value="Contacted - Menunggu Hasil Seleksi">Contacted - Menunggu Hasil Seleksi</option>
                                                                                            <option th:selected="${'Contacted - Tertarik - Tetapi masih ragu' == p.status}" value="Contacted - Tertarik - Tetapi masih ragu">Contacted - Tertarik - Tetapi masih ragu</option>
                                                                                            <option th:selected="${'Contacted - Minta dihubungi kembali' == p.status}" value="Contacted - Minta dihubungi kembali">Contacted - Minta dihubungi kembali</option>
                                                                                            <option th:selected="${'Contacted - Request Brosur' == p.status}" value="Contacted - Request Brosur">Contacted - Request Brosur</option>
                                                                                            <option th:selected="${'Hotprospek - Siap Daftar Ulang' == p.status}" value="Hotprospek - Siap Daftar Ulang">Hotprospek - Siap Daftar Ulang</option>
                                                                                            <option th:selected="${'Hotprospek - Tertarik Siap DP' == p.status}" value="Hotprospek - Tertarik Siap DP">Hotprospek - Tertarik Siap DP</option>
                                                                                            <option th:selected="${'Hotprospek - Permohonan Cicilan' == p.status}" value="Hotprospek - Permohonan Cicilan">Hotprospek - Permohonan Cicilan</option>
                                                                                            <option th:selected="${'Hotprospek - Siap Tes' == p.status}" value="Hotprospek - Siap Tes">Hotprospek - Siap Tes</option>
                                                                                            <option th:selected="${'Hotprospek - Sudah Tes' == p.status}" value="Hotprospek - Siap Tes">Hotprospek - Sudah Tes</option>
                                                                                            <option th:selected="${'Close Win - Sudah Lunas' == p.status}" value="Close Win - Sudah Lunas">Close Win - Sudah Lunas</option>
                                                                                            <option th:selected="${'Close Win - Sudah DP' == p.status}" value="Close Win - Sudah DP">Close Win - Sudah DP</option>
                                                                                            <option th:selected="${'Close Win -  Santri Mengabdi' == p.status}" value="Close Win -  Santri Mengabdi">Close Win -  Santri Mengabdi</option>
                                                                                            <option th:selected="${'Close Lose - Contacted tidak Relevant/duplicate' == p.status}" value="Close Lose - Contacted tidak Relevant/duplicate">Close Lose - Contacted tidak Relevant/duplicate</option>
                                                                                            <option th:selected="${'Close Lose - Terkendala Biaya' == p.status}" value="Close Lose - Terkendala Biaya">Close Lose - Terkendala Biaya</option>
                                                                                            <option th:selected="${'Close Lose - UnContacted  -  No salah/Tidak Menjawab' == p.status}" value="Close Lose - UnContacted  -  No salah/Tidak Menjawab">Close Lose - UnContacted  -  No salah/Tidak Menjawab</option>
                                                                                            <option sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE')" th:selected="${'Close Lose - Mengundurkan Diri' == p.status}" value="Close Lose - Mengundurkan Diri">Close Lose - Mengundurkan Diri</option>
                                                                                            <option th:selected="${'Beasiswa Daerah' == p.status}" value="Beasiswa Daerah">Beasiswa Daerah</option>
                                                                                            <option th:selected="${'Beasiswa Daerah Prospek Convert to Reguler' == p.status}" value="Beasiswa Daerah Prospek Convert to Reguler">Beasiswa Daerah Prospek Convert to Reguler</option>
                                                                                            <option th:selected="${'Beasiswa Daerah Close Win' == p.status}" value="Beasiswa Daerah Close Win">Beasiswa Daerah Close Win</option>
                                                                                            <option th:selected="${'No Respon' == status}" value="No Respon">No Respon</option>
                                                                                        </select>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row">
                                                                                    <div class="col-lg-12">
                                                                                        <label>Note :</label>
                                                                                        <textarea class="form-control"  th:text="${p.note}" name="note" id="note" required></textarea>
                                                                                    </div>
                                                                                    <div class="col-lg-12">
                                                                                        <label>Note PIC :</label>
                                                                                        <textarea type="text" class="form-control"  th:text="${p.notePic}" id="notePic" name="notePic" ></textarea>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row"><br>
                                                                                    <div class="col-lg-12" th:if="p.userUpdate != null">
                                                                                        <label th:text="${'Tanggal Update : '+ p.tglUpdate}">Tanggal Update : </label><br>
                                                                                        <label th:if="${p.userUpdate == username}" th:text="${'User Update : '+ username.username}">User Update : </label>
                                                                                    </div>
                                                                                    <div class="col-lg-12" th:if="p.userUpdate == null">
                                                                                        <label>Tanggal Update : </label><br>
                                                                                        <label>User Update : </label>
                                                                                    </div>
                                                                                </div>
                                                                                <input type="hidden" id="id" name="id" th:value="${p.id}">
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                <button type="submit"  class="btn btn-primary">Save changes</button>
                                                                                <!--                                                                                    <button type="button"  onclick="updatePendaftar(this)" class="btn btn-primary">Save changes</button>-->
                                                                            </div>
                                                                        </form>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>

<script>

    $(function () {
        $('[data-toggle="popover"]').popover()
    })
    $('.popover-dismiss').popover({
        trigger: 'focus'
    });

    function simpanLulusan(arg) {
        var id = arg.getAttribute('id');
        var value = arg.value;
        var idSc = id;

        var token = $("input[name='_csrf']").val();
        var url = "/update/lulusan/" + idSc + '?lulusan=' + value;

        $.ajax({
            url: url,
            contentType: "application/json;charset=UTF-8",
            headers: {"X-CSRF-TOKEN": token},
            method: 'post',
            dataType: 'JSON',
            success: function (data) {
            }
        })
    }
</script>